## imcode.server
Class LoggingDocumentIndex

    java.lang.Object
      imcode.server.document.index.DocumentIndexWrapper
          imcode.server.LoggingDocumentIndex

All Implemented Interfaces:
  DocumentIndex

    public class LoggingDocumentIndex

extends DocumentIndexWrapper

Field Summary

Fields inherited from interface imcode.server.document.index.DocumentIndex

`FIELD__ACTIVATED_DATETIME, FIELD__ALIAS, FIELD__ARCHIVED_DATETIME, FIELD__CATEGORY, FIELD__CATEGORY_ID, FIELD__CATEGORY_TYPE, FIELD__CATEGORY_TYPE_ID, FIELD__CHILD_ID, FIELD__CREATED_DATETIME, FIELD__CREATOR_ID, FIELD__DOC_TYPE_ID, FIELD__IMAGE_LINK_URL, FIELD__KEYWORD, FIELD__META_HEADLINE, FIELD__META_HEADLINE_KEYWORD, FIELD__META_ID, FIELD__META_TEXT, FIELD__MIME_TYPE, FIELD__MODIFIED_DATETIME, FIELD__NONSTRIPPED_TEXT, FIELD__PARENT_ID, FIELD__PARENT_MENU_ID, FIELD__PHASE, FIELD__PROPERTY_PREFIX, FIELD__PUBLICATION_END_DATETIME, FIELD__PUBLICATION_START_DATETIME, FIELD__PUBLISHER_ID, FIELD__SECTION, FIELD__SECTION_ID, FIELD__STATUS, FIELD__TEMPLATE, FIELD__TEXT`

Constructor Summary
`LoggingDocumentIndex(com.imcode.db.Database database, DocumentIndex documentIndex)`

Method Summary
`java.util.List` `search(DocumentQuery documentQuery, UserDomainObject searchingUser)`

Methods inherited from class imcode.server.document.index.DocumentIndexWrapper
`indexDocument, rebuild, removeDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingDocumentIndex

    public LoggingDocumentIndex(com.imcode.db.Database database,
                                DocumentIndex documentIndex)

Method Detail

### search

    public java.util.List search(DocumentQuery documentQuery,
                                 UserDomainObject searchingUser)
                          throws IndexException

  Specified by:
    `search` in interface `DocumentIndex`
  Overrides:
    `search` in class `DocumentIndexWrapper`
  Throws:
    `IndexException`